@charset "UTF-8";
/* ========================================
works-detail
======================================== */
.works-detail {
    margin: 182px 0 140px;
}

.works-detail__inner {
    width: min(1200px, 90%);
    margin: 70px auto 0;
}

/* ========================================
heading
======================================== */
.works-detail__heading {
    margin-bottom: 40px;
}

.works-detail__title {
    font-size: 4rem;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 10px;
}

.works-detail__category {
    font-size: 2rem;
    color: #666;
}

/* ========================================
gallery
======================================== */
.works-gallery {
    display: flex;
    gap: 30px;
    height: 570px; /* 好きな高さ */
}

.works-gallery__main {
    width: 64%;
}

.works-gallery__main img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 18px;
}

.works-gallery__sub {
    width: 36%;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.works-gallery__thumb {
    height: calc((100% - 24px) / 2);
}

.works-gallery__thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 18px;
}

/* ========================================
画像が1枚だけの場合
======================================== */

.works-gallery--1 {
    display: block;
    height: auto;
}

.works-gallery--1 .works-gallery__main {
    width: 100%;
}

.works-gallery--1 .works-gallery__main img {
    width: 100%;
    min-height: 250px;
    aspect-ratio: 16 / 9; /* 好みで変更可 */
    object-fit: cover;
}

.works-gallery--1 .works-gallery__sub {
    display: none;
}

/* ========================================
info
======================================== */
.works-info {
    display: flex;
    justify-content: space-between;
    gap: 50px;
    margin-top: 50px;
}

.works-info__left {
    width: 38%;
}

.works-info__right {
    width: 62%;
    padding: 20px 0 0;
    font-size: 1.6rem;
}

.works-info__item {
    padding: 20px 0;
    border-bottom: 1px solid #d9d9d9;
    display: flex;
    gap: 40px;
}

.works-info__item dt {
    font-size: 1.8rem;
    margin-bottom: 10px;
}

.works-info__item dd {
    font-size: 1.8rem;
}

.works-info__text {
    font-size: 1.6rem;
    line-height: 2;
}

.works-info__text + .works-info__text {
    margin-top: 30px;
}

/* ========================================
back
======================================== */
.works-detail__back {
    margin-top: 90px;
    text-align: center;
}

.works-detail__back-link {
    display: inline-flex;
    align-items: center;
    gap: 10px;
}

.works-detail__back-link span {
    font-size: 3rem;
    border-bottom: 1px dashed #666;
}

.works-detail__back-link img {
    width: 20px;
}

/* ========================================
responsive
======================================== */
@media screen and (max-width: 768px) {
    .works-detail {
        margin: 0;
    }

    .works-detail__title {
        font-size: 3.4rem;
    }

    .works-detail__category {
        font-size: 1.6rem;
    }

    .works-gallery {
        flex-direction: column;
        height: auto;
    }

    .works-gallery__thumb,
    .works-gallery__main img {
        height: 250px;
    }

    .works-gallery__main,
    .works-gallery__sub {
        width: 100%;
    }

    .works-info {
        flex-direction: column;
        gap: 40px;
    }

    .works-info__left,
    .works-info__right {
        width: 100%;
    }

    .works-info__item dt,
    .works-info__item dd,
    .works-info__text {
        font-size: 1.6rem;
    }

    .works-info__item dt {
        margin-bottom: 0;
    }

    .works-detail__inner {
        margin: 120px auto 0;
    }

    .works-detail__back {
        margin-top: 70px;
    }

    .works-detail__back-link span {
        font-size: 2.2rem;
    }
}